Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230738 (jwm) - Review Request - jwm - Very light window manager
Summary: Review Request - jwm - Very light window manager
Keywords:
Status: CLOSED NOTABUG
Alias: jwm
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-03-02 16:18 UTC by robert
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-04 11:43:34 UTC


Attachments (Terms of Use)

Description robert 2007-03-02 16:18:58 UTC
Spec URL: http://visionfutur.com/fedora/jwm.spec
SRPM URL: http://visionfutur.com/fedora/jwm-1.8-1.src.rpm
Description: JWM is a window manager for the X Window System.
It's very simple and fast.

Comment 1 Maxime Carron 2007-03-04 15:03:14 UTC
You should use the macro %{buildroot} instead of $RPM_BUILD_ROOT.
You souldn't mix macro and variable style.

"You should pick a style and use it consistently throughout your packaging."
(http://www.fedoraproject.org/wiki/Packaging/Guidelines#head-f3d77b27a5d29dfc1f5600ef3fc836f2e317badf)

Comment 2 Alain Portal 2007-03-04 15:45:25 UTC
Sorry, I can't sponsor you.
This isn't a full review, I just found some thing you have to fix.

BuildRequires: libX11 isn't needed

jwm doesn't honor $RPM_OPT_FLAGS, which means it's built without any compiler
provided security features and other distro wide CFLAGS.

Also, the debuginfo package is useless because the binary is explicitly 
stripped.

One way to fix these issues is to add these after %configure:
sed -i -e 's/^\(CFLAGS.*\)/\1 $(RPM_OPT_FLAGS)/' src/Makefile
sed -i -e '/^\s*strip /d' src/Makefile



Comment 3 Patrice Dumas 2007-03-04 15:56:02 UTC
(In reply to comment #1)
> You should use the macro %{buildroot} instead of $RPM_BUILD_ROOT.
> You souldn't mix macro and variable style.
> 
> "You should pick a style and use it consistently throughout your packaging."
>
(http://www.fedoraproject.org/wiki/Packaging/Guidelines#head-f3d77b27a5d29dfc1f5600ef3fc836f2e317badf)

In the spec file $RPM_BUILD_ROOT is used consistently, no need to use
%{buildroot}.

Comment 4 Patrice Dumas 2007-03-04 16:11:13 UTC
(In reply to comment #2)

> jwm doesn't honor $RPM_OPT_FLAGS, which means it's built without any compiler
> provided security features and other distro wide CFLAGS.

As far as I can see it does.
 
> Also, the debuginfo package is useless because the binary is explicitly 
> stripped.

Indeed.

> One way to fix these issues is to add these after %configure:

As a suggestion, an even better solution would be to make a patch 
for src/Makefile.in to remove the strip, such that it doesn't fail
silently if the Makefile.in is changed.

Comment 5 Patrice Dumas 2007-03-04 16:16:45 UTC
Remove:
Requires: xorg-x11-server-Xorg
think about vnc or ssh session.

There seems to be many missing BuildRequires, as shown by the build
log, along (to be verified):
libpng-devel fribidi-devel libXpm-devel libXinerama-devel libXft-devel
libfreetype-devel pkgconfig.

A file installed in /usr/share/xsessions is missing.

Comment 6 Mamoru TASAKA 2007-04-09 16:19:59 UTC
What is the status of this bug?

Comment 7 Peter Lemenkov 2007-04-10 19:50:28 UTC
Robert, could you, please, update according to the above suggestions?

Comment 8 Peter Lemenkov 2007-05-18 11:48:37 UTC
Ping!

Comment 9 Mamoru TASAKA 2007-05-24 17:58:35 UTC
I will close this bug as NOTABUG if no response
is received from submitter within one week.

Comment 10 Mamoru TASAKA 2007-06-04 11:43:34 UTC
CLOSING as NOTABUG.

If someone wants to maintain jwm on Fedora, please file
a new review request. Thank you!


Note You need to log in before you can comment on or make changes to this bug.